MP4(3)

NAME

MP4GetTrackEditMediaStart - Get the media start time of a track edit segment

SYNTAX

#include <mp4.h>

MP4Timestamp MP4GetTrackEditMediaStart(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment for which the media start time is desired.

RETURN VALUES

The media start time of the edit segment in track time scale units of the track in the mp4 file.

DESCRIPTION

MP4GetTrackEditMediaStart returns the media start time of the of the specified track edit segment.

Caveat: The value is in units of the track time scale.

Note that this differs from the edit segment start time, MP4GetTrackEditStart(). For example:

EditId    Start    MediaStart    Duration
1    0    15    30
2    30    120    20
3    50    3000    10

SEE ALSO

MP4(3) MP4SetTrackEditMediaStart(3)